/*

	TeamBarMenuItem.h

	ProcessController
	 2000, Georges-Edouard Berenger, All Rights Reserved.
	Copyright (C) 2004 beunited.org 

	This library is free software; you can redistribute it and/or 
	modify it under the terms of the GNU Lesser General Public 
	License as published by the Free Software Foundation; either 
	version 2.1 of the License, or (at your option) any later version. 

	This library is distributed in the hope that it will be useful, 
	but WITHOUT ANY WARRANTY; without even the implied warranty of 
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU 
	Lesser General Public License for more details. 

	You should have received a copy of the GNU Lesser General Public 
	License along with this library; if not, write to the Free Software 
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA	

*/

#ifndef _TEAM_BAR_MENU_ITEM_H_
#define _TEAM_BAR_MENU_ITEM_H_

#include <MenuItem.h>

class BBitmap;

//---------------------------------------------------------------

class TeamBarMenuItem : public BMenuItem {

public:
						TeamBarMenuItem(BMenu *menu, BMessage *kill_team, team_id team, BBitmap* icon, bool DeleteIcon);
virtual					~TeamBarMenuItem();
virtual	void			DrawContent();
virtual	void			GetContentSize(float* width, float* height);
		void			DrawIcon();
		void			DrawBar(bool force);
		void			BarUpdate();
		void			Init();
		void			Reset(char* name, team_id team, BBitmap* icon, bool DeleteIcon);
		double			fUser;
		double			fKernel;

private:
		team_id			fTeamID;
		BBitmap*		fIcon;
		team_usage_info	fTeamUsageInfo;
		bigtime_t		fLastTime;
		float			fGrenze1;
		float			fGrenze2;
		bool			fDeleteIcon;
};

#endif // _TEAM_BAR_MENU_ITEM_H_
